- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Material.cpp File Reference

`#include "osg/Material"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Material.cpp:

## Functions
bool | Material_readLocalData (Object &obj, Input &fr)
bool | Material_writeLocalData (const Object &obj, Output &fw)
bool | Material_matchFaceAndColor (Input &fr, const char *name, Material::Face &mf, Vec4 &color)
## Variables
RegisterDotOsgWrapperProxy | g_MaterialProxy (new osg::Material,"Material","Object StateAttribute Material",&Material_readLocalData,&Material_writeLocalData)

## Function Documentation

bool Material_matchFaceAndColor | ( | Input & | fr,
|  | const char * | name,
|  | Material::Face & | mf,
|  | Vec4 & | color
| ) |

bool Material_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Material_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_MaterialProxy(new osg::Material,"Material","Object StateAttribute Material",&Material_readLocalData,&Material_writeLocalData)